#
# spec file for package 7kaa-music
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define oname   7kaa
Name:           %{oname}-music
Version:        2.15
Release:        lp160.1.5
Summary:        Game music files for Seven Kingdoms: Ancient Adversaries
License:        SUSE-Freeware
Group:          Amusements/Games/Strategy/Real Time
URL:            http://7kfans.com/
Source0:        http://www.7kfans.com/downloads/%{name}-%{version}.tar.bz2
Requires:       %{oname}
# Previous version was invalid
Obsoletes:      %{name} = 20181228
BuildArch:      noarch

%description
Seven Kingdoms made departures from the traditional real-time strategy models
of "gather resources, build a base and army, and attack". The economic model
bears more resemblance to a turn-based strategy game. It features an espionage
system that allows players to train and control spies individually, who each
have a spying skill that increases over time. The player is also responsible
for catching spies in their own kingdom. Inns built within the game allow
players to hire mercenaries of various occupations, skill levels, and races.
Skilled spies of enemy races are essential to a well-conducted espionage
program, and the player can bolster his forces by grabbing a skilled fighter
or give ones own factories, mines, and towers of science, a boost by hiring a
skilled professional.

Enlight Software decided to release the game to the Open Source community
in August 2009. At that time everything, but the music, was released under
the GPL v2.

This package provides the music files for Seven Kingdoms.

%prep
%setup -q -n %{name}

%build

%install
mkdir -p %{buildroot}%{_datadir}/%{oname}
cp -r MUSIC %{buildroot}%{_datadir}/%{oname}

%files
%license COPYING-Music.txt
%{_datadir}/%{oname}

%changelog
* Tue Apr 27 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Fixed invalid version, use correct upstream version 2.15
* Tue Feb 19 2019 Matthias Eliasson <elimat@opensuse.org>
- Update to 2.15
  * File names have changed to uppercase in version 2.15.1
- Clean with spec-cleaner
- Change to correct rpm group according to packaging guidelines
* Mon Sep 29 2014 nemysis@gmx.ch
- Initial package creation
